// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/sstephenson/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require jquery_ujs
//= require turbolinks
//= require jquery.turbolinks
//= require bootstrap-sprockets
//= require_tree ./application

$(document).ready(function(){
  size_c = readCookie('fontSize');
  if (size_c != null) {
    document.body.style.fontSize = size_c + 'px';
  }
  Contrast();
});


//source: http://www.linhadecodigo.com.br/artigo/1615/acessibilidade-aumentando-e-diminuindo-tamanho-de-letra-em-seu-site.aspx
function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	} else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(";");
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==" ") c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function resizeText(increment) {
  if (document.body.style.fontSize == "") {
    document.body.style.fontSize = "15px";
  }
  size = parseFloat(document.body.style.fontSize)
  if (increment > 0) {
    if (size < 25) {
      document.body.style.fontSize = parseFloat(document.body.style.fontSize) + increment + "px";
    }
  } else if(increment < 0){
    if (size > 10) {
      document.body.style.fontSize = parseFloat(document.body.style.fontSize) + increment + "px";
    }
  }
  else{
    document.body.style.fontSize = '15px'
  }
  createCookie('fontSize', parseFloat(document.body.style.fontSize), 365);
}

function changeContrast() {
  if (readCookie('contrast') == null || readCookie('contrast') == "true") {
    createCookie('contrast',"false",0);
  } else {
    createCookie('contrast',"true",0);
  }
  Contrast();
}

function Contrast() {
  contrast_c = readCookie('contrast');
  if (contrast_c == null || contrast_c != "false"){
    $('body').removeClass("contraste");
    $('body').removeClass("alto-contraste");
    $('.searchbar').removeClass("searchbar-contraste");
    $('header a').removeClass("link-contraste");
    $('#footer').removeClass("footer-contraste");
    $('#footer div').removeClass("footer-contraste");
    $('.dropdown-menu').removeClass("dropdown-menu-contrast");
  }else {
    $('body').addClass("contraste");
    $('body').addClass("alto-contraste");
    $('.searchbar').addClass("searchbar-contraste");
    $('header a').addClass("link-contraste");
    $('#footer').addClass("footer-contraste");
    $('#footer div').addClass("footer-contraste");
    $('.dropdown-menu').addClass("dropdown-menu-contrast");
  }
}
